package cn.tee3.manager.bean;

/**
 * 公共数据类
 */
public class CommonBean {
    public static String serverURI = "http://avd.nice2meet.cn:9609";     // 默认的服务器地址
    public static final String accessKey = "demo_access";            // 会议凭证
    public static final String secretKey = "demo_secret";            // 会议密匙

    /**
     * 本地发布视频分辨率和最大帧率（宽、高、帧率）
     */
    public enum Resolution {
        MINI    ( "{\"width\":480,\"height\":360,\"maxFPS\":20}"   ),
        LOW     ( "{\"width\":640,\"height\":480,\"maxFPS\":20}"   ),
        MIDDLE  ( "{\"width\":1280,\"height\":720,\"maxFPS\":30}"  ),
        HIGH    ( "{\"width\":1920,\"height\":1080,\"maxFPS\":20}" );
        private String value;

        Resolution(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }

    /**
     * AVDSDK 日志等级
     */
    public enum LogParams {
        verbose,
        info,
        warning,
        error,
        debug,
        stats,
        realtstamp,
        append
    }

    /**
     * 编解码格式
     */
    public enum VideoCodec {
        VP8("vp8"),
        VP9("vp9"),
        H264("h264"),
        H265("h265");

        private String value;

        VideoCodec(String value) {
            this.value = value;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }


}
